Author: Steve M. Robbins
Last-Update: 2015-09-05 23:46:25 +0000
Description: Build with Debian packaged libnifti

--- a/conversion/CMakeLists.txt
+++ b/conversion/CMakeLists.txt
@@ -10,7 +10,7 @@ ADD_DEFINITIONS(-DHAVE_CONFIG_H)
 
 
 # conversion progs (and libraries)
-INCLUDE_DIRECTORIES(Acr_nema)
+INCLUDE_DIRECTORIES(Acr_nema /usr/include/nifti)
 ADD_LIBRARY(acr_nema STATIC 
    Acr_nema/acr_io.c
    Acr_nema/dicom_client_routines.c
@@ -50,12 +50,12 @@ TARGET_LINK_LIBRARIES(minctoecat ${VOLUM
 ADD_EXECUTABLE(mnc2nii
    nifti1/mnc2nii.c
    )
-TARGET_LINK_LIBRARIES(mnc2nii ${VOLUME_IO_LIBRARIES} ${LIBMINC_LIBRARIES} m)
+TARGET_LINK_LIBRARIES(mnc2nii ${VOLUME_IO_LIBRARIES} ${LIBMINC_LIBRARIES} niftiio m)
 
 ADD_EXECUTABLE(nii2mnc
    nifti1/nii2mnc.c
    )
-TARGET_LINK_LIBRARIES(nii2mnc ${VOLUME_IO_LIBRARIES} ${LIBMINC_LIBRARIES} m)
+TARGET_LINK_LIBRARIES(nii2mnc ${VOLUME_IO_LIBRARIES} ${LIBMINC_LIBRARIES} niftiio m)
 
 ADD_EXECUTABLE(upet2mnc
    micropet/upet2mnc.c
